
Redmine - Defect #32899

Javascript error caused by tooltip

2020-01-28 01:34 - Anonymous

Status: Confirmed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 6.1.0   

Resolution:  Affected version:  

Description

Improved tooltip in Redmine 4.1.0 ( #31441) causes a Javascript error on some (self-made) plugin pages using the "title" attribute.

This is caused by the absence of the tooltip() function in the "title" attribute. By inserting a judgment statement as follows, errors will

not occured.

--- a/public/javascripts/application.js

+++ b/public/javascripts/application.js

@@ -998,13 +998,15 @@

 $(function () {

-    $('[title]').tooltip({

-        show: {

-          delay: 400

-        },

-        position: {

-          my: "center bottom-5",

-          at: "center top" 

-        }

-    });

+    if ($('[title]').tooltip !== undefined) {

+        $('[title]').tooltip({

+            show: {

+              delay: 400

+            },

+            position: {

+              my: "center bottom-5",

+              at: "center top" 

+            }

+        });

+    }

 });

History

#1 - 2020-04-19 13:40 - Go MAEDA

Could you give some examples of plugins that cause the problem?

#2 - 2020-04-20 07:01 - Anonymous

Try this forked plugin.

https://github.com/n0nel/Redmine-Monitoring-Controlling

(default branch: redmine4.1)

After installing, click "Monitoring & Controlling" tab, then javascript error will occur.

#3 - 2020-04-20 11:02 - Go MAEDA

- File 32899-js-error.png added

- Tracker changed from Patch to Defect

- Status changed from New to Confirmed
https://www.redmine.org/issues/31441
https://github.com/n0nel/Redmine-Monitoring-Controlling


#4 - 2020-05-03 04:34 - Go MAEDA

- Target version set to Candidate for next minor release

#5 - 2024-01-03 15:17 - Go MAEDA

- Target version changed from Candidate for next minor release to 6.0.0

#6 - 2024-11-01 02:13 - Go MAEDA

- Target version changed from 6.0.0 to 6.1.0

Files

32899-js-error.png 134 KB 2020-04-20 Go MAEDA
